# DataExchange
TKXSBase
Interface

# Interface_GlobalNodeOfReaderLib Class Reference

`#include <Interface_GlobalNodeOfReaderLib.hxx>`

## Public Member Functions

Standard_EXPORT | Interface_GlobalNodeOfReaderLib ()
Standard_EXPORT void | Add (const Handle(Interface_ReaderModule)&amodule, const Handle(Interface_Protocol)&aprotocol)
Standard_EXPORT const Handle_Interface_ReaderModule & | Module () const
Standard_EXPORT const Handle_Interface_Protocol & | Protocol () const
Standard_EXPORT const Handle_Interface_GlobalNodeOfReaderLib & | Next () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Interface_ReaderModule | themod
Handle_Interface_Protocol | theprot
Handle_Interface_GlobalNodeOfReaderLib | thenext

## Constructor & Destructor Documentation

Standard_EXPORT Interface_GlobalNodeOfReaderLib::Interface_GlobalNodeOfReaderLib | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Interface_GlobalNodeOfReaderLib::Add | ( | const Handle(Interface_ReaderModule)& | amodule,
|  | const Handle(Interface_Protocol)& | aprotocol
| ) |

Standard_EXPORT const Interface_GlobalNodeOfReaderLib::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT const Handle_Interface_ReaderModule& Interface_GlobalNodeOfReaderLib::Module | ( |  | ) | const

Standard_EXPORT const Handle_Interface_GlobalNodeOfReaderLib& Interface_GlobalNodeOfReaderLib::Next | ( |  | ) | const

Standard_EXPORT const Handle_Interface_Protocol& Interface_GlobalNodeOfReaderLib::Protocol | ( |  | ) | const

## Field Documentation

Handle_Interface_ReaderModule Interface_GlobalNodeOfReaderLib::themod `[private]`

Handle_Interface_GlobalNodeOfReaderLib Interface_GlobalNodeOfReaderLib::thenext `[private]`

Handle_Interface_Protocol Interface_GlobalNodeOfReaderLib::theprot `[private]`

The documentation for this class was generated from the following file:

- Interface_GlobalNodeOfReaderLib.hxx